Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017927
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2011-07-07 13:082011-08-01 14:21
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0MP2
StatusclosedFix in branchFixed in SCM revisioncbae5849cd57
ProjectionnoneETAnoneTarget Version3.0MP3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP0SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017927: ant diagnostic task doew not work

Descriptionuild:
     [copy] Copying 64 files to /home/openbravo/Apps/openbravo3/src-util/diagnostic/WebContent/WEB-INF/lib
    [javac] Compiling 15 source files to /home/openbravo/Apps/openbravo3/src-util/diagnostic/build/classes
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:26: package javax.servlet does not exist
    [javac] import javax.servlet.ServletException;
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:27: package javax.servlet.http does not exist
    [javac] import javax.servlet.http.HttpServlet;
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:28: package javax.servlet.http does not exist
    [javac] import javax.servlet.http.HttpServletRequest;
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:29: package javax.servlet.http does not exist
    [javac] import javax.servlet.http.HttpServletResponse;
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:34: cannot find symbol
    [javac] symbol: class HttpServlet
    [javac] public class Check extends HttpServlet {
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:38: cannot find symbol
    [javac] symbol : class HttpServletRequest
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:38: cannot find symbol
    [javac] symbol : class HttpServletResponse
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:38: cannot find symbol
    [javac] symbol : class ServletException
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:77: cannot find symbol
    [javac] symbol : class HttpServletRequest
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:77: cannot find symbol
    [javac] symbol : class HttpServletResponse
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:77: cannot find symbol
    [javac] symbol : class ServletException
    [javac] location: class org.openbravo.check.Check
    [javac] protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:37: method does not override or implement a method from a supertype
    [javac] @Override
    [javac] ^
    [javac] /home/openbravo/Apps/openbravo3/src-util/diagnostic/src/org/openbravo/check/Check.java:76: method does not override or implement a method from a supertype
    [javac] @Override
    [javac] ^
Steps To Reproduce-Start tomcat and execute ant diagnostic task.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00170803.0MP2 closedalostale Tomcat fails excecuting ANT tasks during diagnostic build 

-  Notes
(0039355)
hgbot (developer)
2011-07-26 11:48

Repository: erp/devel/pi
Changeset: cbae5849cd575bebce03d01dc422db164be6bbc9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 26 11:47:19 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cbae5849cd575bebce03d01dc422db164be6bbc9 [^]

fixed bug 17927: ant diagnostic task does not work

  During library update servlet-api.jar was moved to lib/build, this is required
  to compile. Changing classpath.

---
M src-util/diagnostic/build-create.xml
---
(0039566)
egoitz (developer)
2011-08-01 12:24

verified
(0039675)
hudsonbot (developer)
2011-08-01 14:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-07-07 13:08 egoitz New Issue
2011-07-07 13:08 egoitz Assigned To => alostale
2011-07-07 13:08 egoitz Modules => Core
2011-07-07 13:17 egoitz Priority urgent => high
2011-07-07 13:17 egoitz Severity major => minor
2011-07-07 13:17 egoitz Target Version 3.0MP2 => 3.0MP3
2011-07-12 14:30 alostale Relationship added related to 0017080
2011-07-19 09:47 alostale Status new => scheduled
2011-07-26 11:48 hgbot Checkin
2011-07-26 11:48 hgbot Note Added: 0039355
2011-07-26 11:48 hgbot Status scheduled => resolved
2011-07-26 11:48 hgbot Resolution open => fixed
2011-07-26 11:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cbae5849cd575bebce03d01dc422db164be6bbc9 [^]
2011-08-01 12:24 egoitz Note Added: 0039566
2011-08-01 12:24 egoitz Status resolved => closed
2011-08-01 12:24 egoitz Fixed in Version => 3.0MP2
2011-08-01 14:21 hudsonbot Checkin
2011-08-01 14:21 hudsonbot Note Added: 0039675


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker